import React from 'react'
declare module 'idesk-mui' {
  export const Switch: React.FC<{
    onChange?(event: React.ChangeEvent<HTMLElement>): void
    onClick?(event: React.MouseEvent<HTMLElement>): void
    checked?: boolean
    defaultChecked?: boolean
    size?: 'small' | 'medium' | 'large'
    disabled?: boolean
    variant?: 'dot' | 'square'
  }>

  export const Switcher: React.FC<{
    onChange: any
    checked: any
    onClick?: any
  }>

  export const SwitchIcon: React.FC<{
    onChange: any
    checked: any
    onClick?: any
  }>

  export const Input: React.FC<{
    size?: 'small' | 'medium' | 'large'
    placeholder?: string
    value?: string
    error?: boolean
    errorText?: string
    sucess?: boolean
    sucessText?: string
    label?: string
    image?: React.ReactNode
  }>

  export const TextInput: React.FC<{
    errorText?: string
    value?: string
    placeholder?: string
  }>

  export const Dropdown: React.FC<{
    data: Array
    placeholder?: string
    size?: 'small'
    value: string
    onChange: any
    removeSelected: any
  }>

  export const DropdownList: React.FC<{
    data: Array
    placeholder?: string
    darkMode?: boolean
    value: string
    onChange: any
  }>

  export const Checkbox: React.FC<{
    size?: 'small' | 'medium' | 'large'
    variant?: 'checkbox' | 'radio'
    defaultChecked?: boolean
    checked?: boolean
    disabled?: boolean
    onChange?(event: React.ChangeEvent<HTMLElement>): void
    onClick?(event: React.MouseEvent<HTMLElement>): void
    label: string
  }>

  export const Button: React.FC<{
    variant: 'text' | 'contained' | 'outlined'
    disabled?: boolean
    size?: 'small' | 'medium' | 'large'
    display?: 'inline' | 'block'
    onClick?(event: React.MouseEvent<HTMLElement>): void
    label: string
    startImage: React.ReactNode
    endImage: React.ReactNode
  }>

  export const ButtonIcon: React.FC<{
    label: string
    icon: string
    iconHover: string
    onClick?: any
  }>
}
